## 0ad 0.0.25b

=== source/tools/i18n/requirements.txt ===
babel~=2.6
lxml~=4.5
transifex-client>=0.14

=== source/tools/lobbybots/requirements.txt ===
dnspython
sleekxmpp
sqlalchemy

=== build/premake/premake5/contrib/mbedtls/library/CMakeLists.txt ===
option(USE_STATIC_MBEDTLS_LIBRARY "Build mbed TLS static library." ON)
option(USE_SHARED_MBEDTLS_LIBRARY "Build mbed TLS shared library." OFF)
option(LINK_WITH_PTHREAD "Explicitly link mbed TLS library to pthread." OFF)

set(src_crypto
    aes.c
    aesni.c
    arc4.c
    asn1parse.c
    asn1write.c
    base64.c
    bignum.c
    blowfish.c
    camellia.c
    ccm.c
    cipher.c
    cipher_wrap.c
    ctr_drbg.c
    des.c
    dhm.c
    ecdh.c
    ecdsa.c
    ecjpake.c
    ecp.c
    ecp_curves.c
    entropy.c
    entropy_poll.c
    error.c
    gcm.c
    havege.c
    hmac_drbg.c
    md.c
    md2.c
    md4.c
    md5.c
    md_wrap.c
    memory_buffer_alloc.c
    oid.c
    padlock.c
    pem.c
    pk.c
    pk_wrap.c
    pkcs12.c
    pkcs5.c
    pkparse.c
    pkwrite.c
    platform.c
    ripemd160.c
    rsa.c
    sha1.c
    sha256.c
    sha512.c
    threading.c
    timing.c
    version.c
    version_features.c
    xtea.c
)

set(src_x509
    certs.c
    pkcs11.c
    x509.c
    x509_create.c
    x509_crl.c
    x509_crt.c
    x509_csr.c
    x509write_crt.c
    x509write_csr.c
)

set(src_tls
    debug.c
    net.c
    ssl_cache.c
    ssl_ciphersuites.c
    ssl_cli.c
    ssl_cookie.c
    ssl_srv.c
    ssl_ticket.c
    ssl_tls.c
)

if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-declarations -Wmissing-prototypes")
endif(CMAKE_COMPILER_IS_GNUCC)

if(CMAKE_COMPILER_IS_CLANG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wmissing-declarations -Wmissing-prototypes -Wdocumentation -Wno-documentation-deprecated-sync -Wunreachable-code")
endif(CMAKE_COMPILER_IS_CLANG)

if(WIN32)
    set(libs ${libs} ws2_32)
endif(WIN32)

if(USE_PKCS11_HELPER_LIBRARY)
    set(libs ${libs} pkcs11-helper)
endif(USE_PKCS11_HELPER_LIBRARY)

if(ENABLE_ZLIB_SUPPORT)
    set(libs ${libs} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB_SUPPORT)

if(LINK_WITH_PTHREAD)
    set(libs ${libs} pthread)
endif()

if (NOT USE_STATIC_MBEDTLS_LIBRARY AND NOT USE_SHARED_MBEDTLS_LIBRARY)
    message(FATAL_ERROR "Need to choose static or shared mbedtls build!")
endif(NOT USE_STATIC_MBEDTLS_LIBRARY AND NOT USE_SHARED_MBEDTLS_LIBRARY)

if(USE_STATIC_MBEDTLS_LIBRARY AND USE_SHARED_MBEDTLS_LIBRARY)
    set(mbedtls_static_target "mbedtls_static")
    set(mbedx509_static_target "mbedx509_static")
    set(mbedcrypto_static_target "mbedcrypto_static")
elseif(USE_STATIC_MBEDTLS_LIBRARY)
    set(mbedtls_static_target "mbedtls")
    set(mbedx509_static_target "mbedx509")
    set(mbedcrypto_static_target "mbedcrypto")
endif()

if(USE_STATIC_MBEDTLS_LIBRARY)
    add_library(${mbedcrypto_static_target} STATIC ${src_crypto})
    set_target_properties(${mbedcrypto_static_target} PROPERTIES OUTPUT_NAME mbedcrypto)
    target_link_libraries(${mbedcrypto_static_target} ${libs})

    add_library(${mbedx509_static_target} STATIC ${src_x509})
    set_target_properties(${mbedx509_static_target} PROPERTIES OUTPUT_NAME mbedx509)
    target_link_libraries(${mbedx509_static_target} ${libs} ${mbedcrypto_static_target})

    add_library(${mbedtls_static_target} STATIC ${src_tls})
    set_target_properties(${mbedtls_static_target} PROPERTIES OUTPUT_NAME mbedtls)
    target_link_libraries(${mbedtls_static_target} ${libs} ${mbedx509_static_target})

    install(TARGETS ${mbedtls_static_target} ${mbedx509_static_target} ${mbedcrypto_static_target}
            DESTINATION ${LIB_INSTALL_DIR}
            PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif(USE_STATIC_MBEDTLS_LIBRARY)

if(USE_SHARED_MBEDTLS_LIBRARY)
    add_library(mbedcrypto SHARED ${src_crypto})
    set_target_properties(mbedcrypto PROPERTIES VERSION 2.2.1 SOVERSION 0)
    target_link_libraries(mbedcrypto ${libs})

    add_library(mbedx509 SHARED ${src_x509})
    set_target_properties(mbedx509 PROPERTIES VERSION 2.2.1 SOVERSION 0)
    target_link_libraries(mbedx509 ${libs} mbedcrypto)

    add_library(mbedtls SHARED ${src_tls})
    set_target_properties(mbedtls PROPERTIES VERSION 2.2.1 SOVERSION 10)
    target_link_libraries(mbedtls ${libs} mbedx509)

    install(TARGETS mbedtls mbedx509 mbedcrypto
            DESTINATION ${LIB_INSTALL_DIR}
            PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif(USE_SHARED_MBEDTLS_LIBRARY)

add_custom_target(lib DEPENDS mbedcrypto mbedx509 mbedtls)
if(USE_STATIC_MBEDTLS_LIBRARY AND USE_SHARED_MBEDTLS_LIBRARY)
    add_dependencies(lib mbedcrypto_static mbedx509_static mbedtls_static)
endif()

=== build/premake/premake5/contrib/mbedtls/tests/CMakeLists.txt ===
set(libs
    mbedtls
)

if(USE_PKCS11_HELPER_LIBRARY)
    set(libs ${libs} pkcs11-helper)
endif(USE_PKCS11_HELPER_LIBRARY)

if(ENABLE_ZLIB_SUPPORT)
    set(libs ${libs} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB_SUPPORT)

function(add_test_suite suite_name)
    if(ARGV1)
        set(data_name ${ARGV1})
    else()
        set(data_name ${suite_name})
    endif()

    add_custom_command(
        OUTPUT test_suite_${data_name}.c
        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl ${CMAKE_CURRENT_SOURCE_DIR}/suites test_suite_${suite_name} test_suite_${data_name}
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/scripts/generate_code.pl mbedtls suites/helpers.function suites/main_test.function suites/test_suite_${suite_name}.function suites/test_suite_${data_name}.data
    )

    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
    add_executable(test_suite_${data_name} test_suite_${data_name}.c)
    target_link_libraries(test_suite_${data_name} ${libs})
    add_test(${data_name}-suite test_suite_${data_name})
endfunction(add_test_suite)

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_CLANG)

if(MSVC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /w") # no warnings here
endif(MSVC)

add_test_suite(aes aes.ecb)
add_test_suite(aes aes.cbc)
add_test_suite(aes aes.cfb)
add_test_suite(aes aes.rest)
add_test_suite(arc4)
add_test_suite(asn1write)
add_test_suite(base64)
add_test_suite(blowfish)
add_test_suite(camellia)
add_test_suite(ccm)
add_test_suite(cipher cipher.aes)
add_test_suite(cipher cipher.arc4)
add_test_suite(cipher cipher.blowfish)
add_test_suite(cipher cipher.camellia)
add_test_suite(cipher cipher.ccm)
add_test_suite(cipher cipher.des)
add_test_suite(cipher cipher.gcm)
add_test_suite(cipher cipher.null)
add_test_suite(cipher cipher.padding)
add_test_suite(ctr_drbg)
add_test_suite(debug)
add_test_suite(des)
add_test_suite(dhm)
add_test_suite(ecdh)
add_test_suite(ecdsa)
add_test_suite(ecjpake)
add_test_suite(ecp)
add_test_suite(entropy)
add_test_suite(error)
add_test_suite(gcm gcm.aes128_en)
add_test_suite(gcm gcm.aes192_en)
add_test_suite(gcm gcm.aes256_en)
add_test_suite(gcm gcm.aes128_de)
add_test_suite(gcm gcm.aes192_de)
add_test_suite(gcm gcm.aes256_de)
add_test_suite(gcm gcm.camellia)
add_test_suite(hmac_drbg hmac_drbg.misc)
add_test_suite(hmac_drbg hmac_drbg.no_reseed)
add_test_suite(hmac_drbg hmac_drbg.nopr)
add_test_suite(hmac_drbg hmac_drbg.pr)
add_test_suite(md)
add_test_suite(mdx)
add_test_suite(memory_buffer_alloc)
add_test_suite(mpi)
add_test_suite(pem)
add_test_suite(pkcs1_v21)
add_test_suite(pkcs5)
add_test_suite(pk)
add_test_suite(pkparse)
add_test_suite(pkwrite)
add_test_suite(shax)
add_test_suite(ssl)
add_test_suite(rsa)
add_test_suite(version)
add_test_suite(xtea)
add_test_suite(x509parse)
add_test_suite(x509write)

# Make data_files available in an out-of-source build
if (NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    # Get OS dependent path to use in `execute_process`
    file(TO_NATIVE_PATH "${CMAKE_CURRENT_BINARY_DIR}/data_files" link)
    file(TO_NATIVE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/data_files" target)

    if (NOT EXISTS ${link})
        if (CMAKE_HOST_UNIX)
            set(command ln -s ${target} ${link})
        else()
            set(command cmd.exe /c mklink /d ${link} ${target})
        endif()

        execute_process(COMMAND ${command}
                        RESULT_VARIABLE result
                        ERROR_VARIABLE output)

        if (NOT ${result} EQUAL 0)
            message(FATAL_ERROR "Could not create symbolic link for: ${target} --> ${output}")
        endif()
    endif()
endif()

=== libraries/source/nvtt/src/src/nvmath/CMakeLists.txt ===
PROJECT(nvmath)

SET(MATH_SRCS
    nvmath.h
    Box.h Box.inl
    Color.h Color.inl
    Fitting.h Fitting.cpp
    Gamma.h Gamma.cpp
    Half.h Half.cpp
    Matrix.h
    Plane.h Plane.inl Plane.cpp
    SphericalHarmonic.h SphericalHarmonic.cpp
    SimdVector.h SimdVector_SSE.h SimdVector_VE.h
    Vector.h Vector.inl)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# targets
ADD_DEFINITIONS(-DNVMATH_EXPORTS)

IF(NVMATH_SHARED)
    ADD_DEFINITIONS(-DNVMATH_SHARED=1)
    ADD_LIBRARY(nvmath SHARED ${MATH_SRCS})
ELSE(NVMATH_SHARED)
    ADD_LIBRARY(nvmath ${MATH_SRCS})
ENDIF(NVMATH_SHARED)

TARGET_LINK_LIBRARIES(nvmath ${LIBS} nvcore)

INSTALL(TARGETS nvmath
    RUNTIME DESTINATION ${BINDIR}
    LIBRARY DESTINATION ${LIBDIR}
    ARCHIVE DESTINATION ${LIBDIR})

=== build/premake/premake5/contrib/mbedtls/programs/hash/CMakeLists.txt ===
add_executable(hello hello.c)
target_link_libraries(hello mbedtls)

add_executable(generic_sum generic_sum.c)
target_link_libraries(generic_sum mbedtls)

install(TARGETS hello generic_sum
        DESTINATION "bin"
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== build/premake/premake5/contrib/mbedtls/programs/ssl/CMakeLists.txt ===
set(THREADS_USE_PTHREADS_WIN32 true)
find_package(Threads)

set(libs
    mbedtls
)

set(targets
    dtls_client
    dtls_server
    ssl_client1
    ssl_client2
    ssl_server
    ssl_fork_server
    ssl_mail_client
    mini_client
)

if(USE_PKCS11_HELPER_LIBRARY)
    set(libs ${libs} pkcs11-helper)
endif(USE_PKCS11_HELPER_LIBRARY)

if(ENABLE_ZLIB_SUPPORT)
    set(libs ${libs} ${ZLIB_LIBRARIES})
endif(ENABLE_ZLIB_SUPPORT)

add_executable(dtls_client dtls_client.c)
target_link_libraries(dtls_client ${libs})

add_executable(dtls_server dtls_server.c)
target_link_libraries(dtls_server ${libs})

add_executable(ssl_client1 ssl_client1.c)
target_link_libraries(ssl_client1 ${libs})

add_executable(ssl_client2 ssl_client2.c)
target_link_libraries(ssl_client2 ${libs})

add_executable(ssl_server ssl_server.c)
target_link_libraries(ssl_server ${libs})

add_executable(ssl_server2 ssl_server2.c)
target_link_libraries(ssl_server2 ${libs})

add_executable(ssl_fork_server ssl_fork_server.c)
target_link_libraries(ssl_fork_server ${libs})

add_executable(ssl_mail_client ssl_mail_client.c)
target_link_libraries(ssl_mail_client ${libs})

add_executable(mini_client mini_client.c)
target_link_libraries(mini_client ${libs})

if(THREADS_FOUND)
    add_executable(ssl_pthread_server ssl_pthread_server.c)
    target_link_libraries(ssl_pthread_server ${libs} ${CMAKE_THREAD_LIBS_INIT})
    set(targets ${targets} ssl_pthread_server)
endif(THREADS_FOUND)

install(TARGETS ${targets}
        DESTINATION "bin"
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== debian/changelog ===
0ad (0.0.25b-2) unstable; urgency=medium

  * Team upload
  * Add patches from Ubuntu (Closes: #1008075)
    - d/p/fix-build-mozjs-with-python-3.10.patch:
      Add patch from upstream via Ubuntu to fix FTBFS with Python 3.10
    - d/p/fix-build-atlas-gcc11-glibc-2.35.patch:
      Add patch from upstream via Ubuntu to fix future FTBFS with glibc 2.35

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Mar 2022 12:29:22 +0100

0ad (0.0.25b-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building mozjs on armhf (Closes: #1001882)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Dec 2021 01:34:12 +0800

0ad (0.0.25b-1) unstable; urgency=medium

  [David W. Kennedy <dave_k@reasoned.us>]
  * Package new upstream release. 
  * d/control: Update required versions of dependencies.
  * d/copyright: Update and correct copyright information of debian package
    and embedded libraries
  * d/install: Install binaries/system/readme.txt as README.command-line.txt,
    also mark install executable to support renaming README.txt with dh-exec.
  * d/rules: Clean up build files for libnvtt and spidermonkey in 
    dh_auto_clean.
  * d/rules: Exclude libmozjs78-ps-release.so from dh_dwz in order to work 
    around a crash in dwz.
  * d/source/local-options: Abort on changes to the upstream source code 
    before committing to the upstream branch of Debian Salsa VCS
  * d/watch: Update URL for releases.

  [ Ludovic Rousseau ]
  * Fix "New upstream release of 0ad - version 0.0.25" (Closes: #992017)
  * d/control: use https:// for Homepage: URL
  * d/install: make the script executable
  * New upstream release 0.0.25b
  * d/patches/TestStunClient: remove failing test

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 27 Aug 2021 15:28:30 +0200

0ad (0.0.24b-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Install the AppStream file to /usr/share/metainfo, as /usr/share/appdata
    is a long time deprecated location.
  * Install the application icon in the XDG hicolor icon theme, rather than
    the legacy pixmaps location.

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Tue, 11 May 2021 08:48:59 +0200

=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Vincent Cheng <vcheng@debian.org>,
 Ludovic Rousseau <rousseau@debian.org>
Build-Depends:
 autoconf,
 automake,
 cargo,
 cmake,
 debhelper-compat (= 12),
 dh-exec (>= 0.1),
 dpkg-dev (>= 1.15.5),
 libboost-dev (>= 1.57.0.1),
 libboost-filesystem-dev (>= 1.57.0.1),
 libcurl4-gnutls-dev (>= 7.32.0) | libcurl4-dev (>= 7.32.0),
 libenet-dev (>= 1.3),
 libfmt-dev (>= 4.0.0),
 libgloox-dev (>= 1.0.10),
 libicu-dev (>= 67.1-4~),
 libminiupnpc-dev (>= 1.6),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-dev (>= 2.0.5),
 libsodium-dev (>= 1.0.14),
 libvorbis-dev,
 libwxgtk3.0-gtk3-dev,
 libxcursor-dev,
 libxml2-dev,
 llvm,
 pkg-config,
 python3,
 rustc (>= 1.41),
 tzdata,
 zlib1g-dev (>= 1:1.2.3)
Standards-Version: 4.5.0
Homepage: https://play0ad.com/
Vcs-Git: https://salsa.debian.org/games-team/0ad.git
Vcs-Browser: https://salsa.debian.org/games-team/0ad
Rules-Requires-Root: no

Package: 0ad
Architecture: amd64 arm64 armhf i386 kfreebsd-amd64 kfreebsd-i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 0ad-data (>= ${source:Upstream-Version}),
 0ad-data (<= ${source:Version}),
 0ad-data-common (>= ${source:Upstream-Version}),
 0ad-data-common (<= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

=== debian/rules ===
#!/usr/bin/make -f

# mozjs' build process does not seem to be compatible with other shells
# like zsh
export SHELL = /bin/sh

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

PARALLEL_JOBS=$(shell getconf _NPROCESSORS_ONLN)
ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
	export DEB_BUILD_OPTIONS+=parallel=$(PARALLEL_JOBS)
endif

%:
	dh $@

override_dh_auto_clean:
	build/workspaces/clean-workspaces.sh
	# Clean up some extra cruft not picked up by clean-workspaces.sh
	find binaries/system/ -type f ! -name readme.txt -delete
	rm -f libraries/fcollada/lib/*.a
	rm -f build/premake/.*.tmp
	rm -rf libraries/source/spidermonkey/lib
	rm -f libraries/source/cxxtest-4.4/python/cxxtest/*.pyc
	rm -f libraries/source/fcollada/lib/*
	rm -rf libraries/source/spidermonkey/include-unix-*
	rm -rf libraries/source/spidermonkey/mozjs-78.6.0
	rm -f libraries/source/nvtt/lib/*.so
	rm -f source/ps/tests/stub_impl_hack.cpp
	dh_auto_clean

override_dh_auto_build:
	mkdir -p libraries/source/fcollada/lib
	build/workspaces/update-workspaces.sh \
		--bindir=/usr/games \
		--libdir=/usr/lib/games/0ad \
		--datadir=/usr/share/games/0ad \
		-j$(PARALLEL_JOBS)
	
	$(MAKE) config=release verbose=1 -C build/workspaces/gcc \
		-j$(PARALLEL_JOBS)

override_dh_auto_test:
	# Note: Avoid running tests from root dir of build, otherwise certain
	# tests (i.e. in testsuite MeshManager) may not work as intended and
	# create spurious directories above root dir (../data/mods).
ifeq (,$(filter armhf arm64 kfreebsd-amd64 kfreebsd-i386, $(DEB_HOST_ARCH)))
	cd binaries/system/ && LD_LIBRARY_PATH=. ./test -libdir .
endif

override_dh_auto_install:
	install -Dm 0755 build/resources/0ad.sh $(CURDIR)/debian/tmp/usr/games/0ad
	dh_auto_install

override_dh_strip:
	dh_strip --dbgsym-migration='0ad-dbg (<< 0.0.20-2~)'

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/games/0ad

override_dh_dwz:
	dh_dwz -Xlibmozjs78-ps-release.so

=== debian/watch ===
version=3
https://releases.wildfiregames.com/0ad-([\d\.]+)-.*-unix-build\.tar\.gz

## 0ad 0.0.25b-1~oibaf~f+10.0trisquel1

=== debian/changelog ===
0ad (0.0.25b-1~oibaf~f+10.0trisquel1) nabia-backports; urgency=medium

  * Backported to get latest version into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Aug 2021 05:08:44 +0000

0ad (0.0.25b-1~oibaf~f) focal; urgency=medium

  * New release.

 -- Fabio Pedretti <fmrummey@gmail.com>  Mon, 16 Aug 2021 14:31:59 +0100

0ad (0.0.25-1+nmu1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release. 
  * d/control: Update required versions of dependencies.
  * d/rules: Clean up build files for libnvtt and spidermonkey in 
    dh_auto_clean.
  * d/rules: Exclude libmozjs78-ps-release.so from dh_dwz in order to work 
    around a crash in dwz.
  * d/watch: Update URL for releases.

 -- David W. Kennedy <dave_k AT reasoned DOT us>  Mon, 09 Aug 2021 22:32:21 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,9 @@
  Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
  autoconf,
- automake,
  cargo,
  cmake,
  debhelper-compat (= 12),
- dh-exec (>= 0.1),
  dpkg-dev (>= 1.15.5),
  libboost-dev (>= 1.57.0.1),
  libboost-filesystem-dev (>= 1.57.0.1),
@@ -19,12 +17,13 @@
  libenet-dev (>= 1.3),
  libfmt-dev (>= 4.0.0),
  libgloox-dev (>= 1.0.10),
- libicu-dev (>= 67.1-4~),
+ libicu-dev,
  libminiupnpc-dev (>= 1.6),
+ libnspr4-dev,
  libogg-dev,
  libopenal-dev,
  libpng-dev,
- libsdl2-dev (>= 2.0.5),
+ libsdl2-dev (>= 2.0.2),
  libsodium-dev (>= 1.0.14),
  libvorbis-dev,
  libwxgtk3.0-gtk3-dev,
@@ -34,10 +33,9 @@
  pkg-config,
  python3,
  rustc (>= 1.41),
- tzdata,
  zlib1g-dev (>= 1:1.2.3)
 Standards-Version: 4.5.0
-Homepage: https://play0ad.com/
+Homepage: http://play0ad.com/
 Vcs-Git: https://salsa.debian.org/games-team/0ad.git
 Vcs-Browser: https://salsa.debian.org/games-team/0ad
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,8 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='0ad-dbg (<< 0.0.20-2~)'
 
+override_dh_dwz:
+	dh_dwz -Xlibmozjs78-ps-release.so
+
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/games/0ad
-
-override_dh_dwz:
-	dh_dwz -Xlibmozjs78-ps-release.so
